Skip to main content
`Ctrl`+`K`

# pandas.DatetimeIndex.indexer_at_time

DatetimeIndex.indexer_at_time(time, asof=False)

  Return index locations of values at particular time of day.

  Parameters:
    time datetime.time or str

      Time passed in either as object (datetime.time) or as string in appropriate format (“%H:%M”, “%H%M”, “%I:%M%p”, “%I%M%p”, “%H:%M:%S”, “%H%M%S”, “%I:%M:%S%p”, “%I%M%S%p”).

  Returns:
    np.ndarray[np.intp]

  See also

  `indexer_between_time`

    Get index locations of values between particular times of day.

  `DataFrame.at_time`

    Select values at particular time of day.

  Examples

      >>> idx = pd.DatetimeIndex(["1/1/2020 10:00", "2/1/2020 11:00",
      ...                         "3/1/2020 10:00"])
      >>> idx.indexer_at_time("10:00")
      array([0, 2])